{
  config,
  pkgs,
  ...
}: {
  services.tailscale = {
    enable = true;
    authKeyFile = config.age.secrets.tailscale-key.path;
    extraUpFlags = [
      "--login-server=https://va.m3tam3re.com"
    ];
    extraSetFlags = [
      "--exit-node=m3-atlas"
      "--exit-node-allow-lan-access"
    ];
  };
  environment.systemPackages = with pkgs; [
    tailscale
  ];
}
